module mod_parameters

	! Compiler specific parameters

	integer, parameter :: skind = kind(1.0e0)
	integer, parameter :: dkind = kind(1.0d0)

	real(kind=dkind), parameter :: pi = 3.141592653589793238462d0

	real(kind=dkind) :: mu_mag = 1.2566370614359173d-6

	integer, parameter :: n_coils_max = 100
	integer, parameter :: n_CS_max = 200
	integer, parameter :: n_coils_split_max = 20


	integer :: n_enforce
	! number of points where to enforce the value of psi
	! (equal to the number of unknowns in the simplest approach)

	integer :: which_data
	! 0 -> HYM
	! 1 -> FLOW

	real(kind=dkind) :: HYM_length = 3.93d-2 ! m / code units
	real(kind=dkind) :: HYM_current = 656d4 ! A/m^2 / code units

	integer :: nbox_R, nbox_Z
	! number of points in the output box, R and Z directions
	real(kind=dkind) :: xbox_L, xbox_R, zbox_T, zbox_B
	! position of the (rectangular) box

	integer, parameter :: theta_points_max_lim = 1250

	integer :: r_of_theta_points = 200
	! how many points to use on plasma surface

	integer :: solution_method
	! 1 for exact, 2 for SVD least square fit, 3 for linear least square fit
	! 4 for linear least square fit with gradients, 5 for exact with gradients
	! 11 for weighted SVD square fit, 12 for weighted SVD square fit with gradients

	integer :: n_fit, tn_fit
	! how many points to use for least square fit and its double

	integer :: fixed_coords_option
	! how to arrange fixed coords points (on the prescribed plasma boundary)
	! 1 -> set_fixed_coords
	! 10 -> set_fixed_coords_length
	! 11 -> set_fixed_coords_equal_arc
	! other options have been removed


end module mod_parameters
